Bug 474965 - Review Request: php-pear-Date-Holidays-USA - Driver based class to calculate holidays in USA
Review Request: php-pear-Date-Holidays-USA - Driver based class to calculate ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-05 22:52 EST by Christopher Stone
Modified: 2008-12-09 06:39 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-09 06:31:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2008-12-05 22:52:07 EST
Spec URL: http://xulchris.fedorapeople.org/packages/php-pear-Date-Holidays-USA.spec
SRPM URL: http://xulchris.fedorapeople.org/packages/php-pear-Date-Holidays-USA-0.1.1-1.fc10.src.rpm

Description:
Date_Holidays helps you calculate the dates and titles of holidays and other
special celebrations.  This is the driver for calculating holidays in USA.
Comment 1 Jason Tibbitts 2008-12-06 18:47:27 EST
It's been a while since I looked at a PHP module.

rpmlint says:
  php-pear-Date-Holidays-USA.noarch: W: no-documentation
which is not a problem.

Everything else looks fine.

* source files match upstream.  sha256sum:
   5191c518642aaa2b7a8ba52ee69b156668f5570a909cc4e0a228650b7956ff37  
   Date_Holidays_USA-0.1.1.tgz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint has acceptable complaints.
* final provides and requires are sane:
   php-pear(Date_Holidays_USA) = 0.1.1
   php-pear-Date-Holidays-USA = 0.1.1-1.fc11
  =
   /bin/sh
   /usr/bin/pear
   php-pear(Date_Holidays) >= 0.18.0
   php-pear(PEAR)

* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files.
* scriptlets are OK (pear module registration).
* code, not content.

APPROVED
Comment 2 Christopher Stone 2008-12-06 19:52:29 EST
New Package CVS Request
=======================
Package Name: php-pear-Date-Holidays-USA
Short Description: Driver based class to calculate holidays in USA
Owners: xulchris
Branches: F-8 F-9 F-10 EL-5
InitialCC:
Comment 3 Kevin Fenzi 2008-12-06 22:34:16 EST
We no longer accept F-8 branch requests. 

cvs done except for F-8 branch.
Comment 4 Fedora Update System 2008-12-07 17:14:37 EST
php-pear-Date-Holidays-USA-0.1.1-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/php-pear-Date-Holidays-USA-0.1.1-1.fc10
Comment 5 Fedora Update System 2008-12-07 17:15:30 EST
php-pear-Date-Holidays-USA-0.1.1-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/php-pear-Date-Holidays-USA-0.1.1-1.fc9
Comment 6 Christopher Stone 2008-12-07 17:16:38 EST
Successfully built and pushed on all platforms.  Thanks for the review! :D
Comment 7 Fedora Update System 2008-12-09 06:31:11 EST
php-pear-Date-Holidays-USA-0.1.1-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2008-12-09 06:39:11 EST
php-pear-Date-Holidays-USA-0.1.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.